<?php
/**
 * @package Sj Image Slideshow
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;
$tag_id	= 'image_slideshow_'.rand().time();
ob_start(); 
?>
	#<?php echo $tag_id ?> .imsl-progress{
		background-color:<?php echo $params->get('progress_color','#2D6987'); ?>
	}
<?php 
$css = ob_get_contents();
ob_end_clean();
$document  = & JFactory::getDocument();
$document->addStyleDeclaration($css);

JHtml::stylesheet('modules/'.$module->module.'/assets/css/styles.css');
if( !defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1" ){
	JHtml::script('modules/'.$module->module.'/assets/js/jquery-1.8.2.min.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery-noconflict.js');
	define('SMART_JQUERY', 1);
}

if( !defined('JQUERY_CYLE2')  ){
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.easing.min.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.cycle2.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.cycle2.transition.js');
	define('JQUERY_CYLE2', 1);
}

ImageHelper::setDefault($params);

$theme = $params->get('theme','theme1');
if($params->get('pretext') != null) { ?>
	<div class="pre-text">
		<?php echo $params->get('pretext'); ?>
	</div>
<?php } 
	if(!empty($list)) {
		$start = $params->get('startingSlide', 1);
		if ($start <= 0 || ($start > count($list))){
			$start = 0;
		}else{		
			$start = $start - 1;
		}
		$progress = $params->get('progress',1);
		$play = $params->get('play', 1);
		$fx = ($params->get('effect') != 'random')?$params->get('effect'):'random';
		$effect = array( 0=>'tileBlind', 1=>'tileSlide' );
	?>
	<div class="image-sl pre-load <?php echo $theme; ?> " id="<?php echo $tag_id; ?>">
		<div class="imsl-loading"></div>
		<?php require JModuleHelper::getLayoutPath($module->module, $layout.'_'.$theme); ?>
	</div>
	<script type="text/javascript">
	//<![CDATA[   
		jQuery(document).ready(function($){
			;(function(element){
				var $element = $(element);
				var $loading = $('.imsl-loading',$element);
				$loading.remove();
				$element.removeClass('pre-load');
				var $image_sl = $('.imsl-container',$element );
				var $sl_item = $('.imsl-item',$image_sl);
				var $progress = $('.imsl-progress',$element );
				var $infor = $('.imsl-info',$element);
				var $prev = $('.imsl-prev',$element);
				var $next = $('.imsl-next',$element);
				var $caption = $('.imsl-caption',$element);
				var $control = $('.sl-control',$element);
					$control.delay(800).fadeIn(400);
				<?php if($theme == 'theme2'){?>
					var $prev = $('.ctr-prev',$element);
					var $next = $('.ctr-next',$element);
					var $pager = $('.ctr-page',$element );
				<?php  }
				else if($theme == 'theme1'){?> 
					var $pager = $('.imsl-pager',$element );
				<?php }?>
				
				$image_sl.cycle({
					easing:					'easeInOutQuint',
					fx:     				'<?php echo ($fx == 'random')?$effect[0]:$fx; ?>',
					slides: 				$sl_item,
					autoHeight:				'container',
					timeout:				<?php echo $params->get('timeout', 4000); ?>,
					overlay:				$infor,	
					caption:        		$caption,
					startingSlide:			0,	
					overlayTemplate:		"<?php echo  ImageSlideShow::getOverlayTemplate($params);  ?>",
					captionTemplate:		"<?php echo ImageSlideShow::getCaptionTemplate($params); ?>",
					swipe:					<?php echo ($params->get('swipe') == 1)?'true':'false'; ?>, 
					progress:				$progress,
					loader:					true, 	
					log:					false,
					allowWrap: 				true,
					random:					false,
					speed:      			<?php echo $params->get('speed',500); ?>,
					pauseOnHover: 			<?php echo ($params->get('pauseOnHover') == 1)?'true':'false'; ?>,
					prev: 					$prev,
					next: 					$next,
					captionPlugin:			'<?php echo ($params->get('overlay_effect') == 'none')?'caption':'caption2'; ?>',
					overlayFxOut:           '<?php echo  ($params->get('overlay_effect') == 'fade')?'fadeOut':'slideUp' ?>', 
					overlayFxIn:            '<?php echo  ($params->get('overlay_effect') == 'fade')?'fadeIn':'slideDown' ?>',
					captionFxOut:           '<?php echo  ($params->get('overlay_effect') == 'fade')?'fadeOut':'slideUp' ?>', 
					captionFxIn:            '<?php echo  ($params->get('overlay_effect') == 'fade')?'fadeIn':'slideDown' ?>',
					<?php if($theme == 'theme2' || $theme == 'theme1'){?>
					pager:					$pager,
					<?php } ?>
					<?php if($theme == 'theme2'){?>
					pagerTemplate:          '<span> {{slideNum}} </span>',
					<?php } ?>
					pagerActiveClass:		'imsl-pager-active'
				});
				<?php if (!$play){ ?>
					$image_sl.cycle('pause');
				<?php } ?>
				<?php if($theme == 'theme3'){?>
					$('.imsl-play-pause',$element).click(function(){
						if ( $(this).hasClass('imsl-play') ){
							$(this).toggleClass('imsl-play imsl-pause');
							$image_sl.cycle('resume');
						} else {
							$(this).toggleClass('imsl-play imsl-pause');
							$image_sl.cycle('pause');
						}
					});
				<?php } ?>
				<?php if($progress) { ?>
					$image_sl.on( 'cycle-initialized cycle-before', function( e, opts ) {
						$progress.stop(true).css( {width:0 } );
						$('.imsl-caption',$image_sl).css({opacity:1});
					});

					$image_sl.on( 'cycle-initialized cycle-after', function( e, opts ) {
						$('.imsl-caption',$image_sl).css({opacity:1});
						if ( ! $image_sl.is('.cycle-paused') )
							$progress.animate({ width: '100%' }, opts.timeout, 'linear' );
					});

					$image_sl.on( 'cycle-paused', function( e, opts ) {
					   $progress.stop(); 
					});

					$image_sl.on( 'cycle-resumed', function( e, opts, timeoutRemaining ) {
						$progress.animate({ width: '100%' }, timeoutRemaining, 'linear' );
					});
				<?php } ?>
			})('#<?php echo $tag_id; ?>');
		});
	//]]>	
	</script>
	<?php } else {
		echo JText::_('Has no content to show!');
	}
if($params->get('posttext') != null ) {  ?>
	<div class="post-text">
		<?php echo $params->get('posttext'); ?>
	</div>
<?php }?>